import Vue from 'vue';
import { Args, StoryContext } from '@storybook/addons';
import { InputType } from './InputType';
import './Input.stories.less';
declare const _default: {
    title: string;
    component: import("vue/types/vue").ExtendedVue<Vue, Record<string, string | number | import("../icon/iconTypes").IconFlipForRtl | import("../icon/iconTypes").IconVariedByLang | import("../icon/iconTypes").IconVariedByDir>, {
        onInput(event: InputEvent): void;
        onChange(event: Event): void;
        onFocus(event: FocusEvent): void;
        onBlur(event: FocusEvent): void;
        onEndIconClick(): void;
        setCurrentValue(value: string | number): void;
    }, {
        isClearable: boolean;
        rootClasses: Record<string, boolean>;
        computedValue: string | number;
    }, {
        value: string | number;
        type: unknown;
        disabled: boolean;
        startIcon: string | import("../icon/iconTypes").IconFlipForRtl | import("../icon/iconTypes").IconVariedByLang | import("../icon/iconTypes").IconVariedByDir | undefined;
        endIcon: string | import("../icon/iconTypes").IconFlipForRtl | import("../icon/iconTypes").IconVariedByLang | import("../icon/iconTypes").IconVariedByDir | undefined;
        clearable: boolean;
    }>;
    parameters: {
        layout: string;
    };
    argTypes: {
        value: {
            control: string;
        };
        type: {
            control: {
                type: string;
                options: InputType[];
            };
            defaultValue: InputType;
        };
        startIcon: import("@storybook/addons").ArgType;
        endIcon: import("@storybook/addons").ArgType;
        placeholder: {
            control: string;
            defaultValue: string;
            table: {
                category: string;
            };
        };
    };
};
export default _default;
export declare const Configurable: (args: Args, { argTypes }: StoryContext) => Vue.Component;
export declare const CommonUses: {
    (_args: Args, { argTypes }: StoryContext): Vue.Component;
    argTypes: {
        type: {
            table: {
                disable: boolean;
            };
        };
        value: {
            table: {
                disable: boolean;
            };
        };
        startIcon: {
            table: {
                disable: boolean;
            };
        };
        endIcon: {
            table: {
                disable: boolean;
            };
        };
        clearable: {
            table: {
                disable: boolean;
            };
        };
        placeholder: {
            table: {
                disable: boolean;
            };
        };
        input: {
            table: {
                disable: boolean;
            };
        };
        focus: {
            table: {
                disable: boolean;
            };
        };
        blur: {
            table: {
                disable: boolean;
            };
        };
        change: {
            table: {
                disable: boolean;
            };
        };
    };
};
export declare const WithButton: {
    (args: Args, context: StoryContext): Vue.Component;
    argTypes: {
        startIcon: {
            defaultValue: string;
        };
        clearable: {
            defaultValue: boolean;
        };
        placeholder: {
            defaultValue: string;
        };
    };
};
