/// <reference types="node" />
import Vue from 'vue';
import { Args, StoryContext } from '@storybook/addons';
import './TypeaheadSearch.stories.less';
declare const _default: {
    title: string;
    component: import("vue/types/vue").ExtendedVue<Vue, {
        startIcon: string;
        articleIcon: string;
        isHovered: boolean;
        suggestionActiveIndex: number;
        suggestionsList: import("./http/SearchClient").SearchResult[];
        isFocused: boolean;
        searchQuery: string;
        inputValue: string;
        InputType: typeof import("../input/InputType").InputType;
        isExpanded: boolean;
        request: import("./http/SearchClient").AbortableSearchFetch | null;
        debounceId: NodeJS.Timeout | null;
    }, {
        updateSuggestions(query: string, suggestions: import("./http/SearchClient").SearchResult[]): void;
        clearSuggestions(): void;
        onInput(value: string): void;
        onSuggestionMouseOver(index: number): void;
        onInputFocus(): void;
        onInputBlur(): void;
        onFooterHover(): void;
        onRootMouseOver(): void;
        onRootMouseOut(): void;
        onSuggestionMouseDown(event: MouseEvent): void;
        onSuggestionClick(suggestion?: import("./http/SearchClient").SearchResult | undefined): void;
        onKeyDownUp(event: KeyboardEvent): void;
        onKeyDownDown(event: KeyboardEvent): void;
        handleKeyUpDown(event: KeyboardEvent, offset: number): void;
        nudgeActiveSuggestion(offset: number): void;
        onKeyDownEscape(event: KeyboardEvent): void;
        getSuggestionId(suggestion: import("./http/SearchClient").SearchResult): string;
        onSubmit(): void;
    }, {
        rootClasses: Record<string, boolean>;
        footerClasses: Record<string, boolean>;
        footerUrl: string;
        isFooterSelected: boolean;
        suggestionsId: string;
        activeSuggestionId: string;
        footerId: string;
        isExpandedString: string;
    }, {
        initialInputValue: string;
        buttonLabel: string;
        formAction: string;
        client: import("./http/SearchClient").SearchClient;
        urlGenerator: import("../typeahead-suggestion/UrlGenerator").UrlGenerator;
        domain: string;
        footerSearchText: string;
        suggestionsLabel: string;
        focused: boolean;
        id: string;
        showThumbnail: boolean;
        showDescription: boolean;
    }>;
    argTypes: {
        buttonLabel: {
            defaultValue: string;
        };
        formAction: {
            defaultValue: string;
        };
        footerSearchText: {
            defaultValue: string;
        };
        suggestionsLabel: {
            defaultValue: string;
        };
        id: {
            defaultValue: string;
        };
        client: {
            control: boolean;
        };
        urlGenerator: {
            control: boolean;
        };
        placeholder: {
            control: {
                type: string;
            };
            table: {
                category: string;
            };
            defaultValue: string;
        };
    };
};
export default _default;
export declare const Configurable: (args: Args, { argTypes }: StoryContext) => Vue.Component;
